# Class BeanContextServicesSupport.BCSSServiceProvider

java.lang.Object
java.beans.beancontext.BeanContextServicesSupport.BCSSServiceProvider

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `BeanContextServicesSupport`

protected static class BeanContextServicesSupport.BCSSServiceProvider extends Object implements Serializable
subclasses may subclass this nested class to add behaviors for each BeanContextServicesProvider.

Since:
  1.2
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected BeanContextServiceProvider`
  `serviceProvider`
  The service provider.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected BeanContextServiceProvider`
  `getServiceProvider()`
  Returns the service provider.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### serviceProvider

    protected BeanContextServiceProvider serviceProvider
    The service provider.

- ## Method Details

  - ### getServiceProvider

    protected BeanContextServiceProvider getServiceProvider()
    Returns the service provider.
    Returns:
      the service provider